<template>
  <span class="modal_2">
    <!-- Details Button -->
    <button v-on:click="showModal" class="btn btn-sm t_btn">Bulk Employee Upload</button> 
    <div class="modal"  v-bind:class="{ active: isActive }" id="modal-id">
      <span class="modal-overlay"></span>
      <div class="modal-container bulk" id ="modalContainer">
        <div class="modal-header">
          <a href="" v-on:click="close" class="btn btn-clear float-right close-btn" aria-label="Close"></a>
          <div class="modal-title h5">Bulk Upload Employees</div>
        </div>
        <div class="modal-body">
          <div class="content" id="content">
            <file-upload v-if="showForm"/>
          </div>
        </div>
      </div>                   
    </div>
  </span>
</template>

<script>
import FileUpload from "./file-upload.vue";

export default {
  name:'modal_2',
  data(){
    return{
      isActive :false,
      showForm: false
    }
  },
  components: {
    FileUpload
  },
  methods: {
    close:function (event) {
      event.preventDefault()
      this.isActive=false
    },
    showModal: function (event) {
      this.isActive=true
      this.showForm =true         
    }
  }
}

</script>